Subject: Re: [PATCH] powerpc: Replace cc constraint in inline assembly with cr0

From: Anton Blanchard <[email-masked]>
Date: Mon, 3 Nov 2014 07:17:19 +1100

Hi Segher,

> > Our inline assembly only clobbers the first condition register
> > field, but we mark all of them as being clobbered.
> 
> No, we don't.  "cc" has been an alias for cr0 for over twenty two and
> a half years now; it has never changed meaning.  This is an LLVM bug.

Thanks! I opened http://llvm.org/bugs/show_bug.cgi?id=21451 to track it.

Anton